Summary: AX.25 and NET/ROM support utilities
Name: ax25-utils
Version: 2.1.42a
Release: 1
Copyright: GPL
Group: Networking/Utilities
Source0: ftp://ftp.debian.org/pub/Linux/distributions/debian/hamm/main/source/hamradio/ax25-utils_%{version}.orig.tar.gz
Patch0: ax25-utils_2.1.42a-5.diff.gz
Patch1: ax25-utils_2.1.42a-jbj.patch
URL: http://sunsite.unc.edu/LDP/HOWTO/AX25-HOWTO.html
BuildRoot: /var/tmp/ax25-utils-root

%description
These are the support utilities for the Linux kernel AX.25 and NET/ROM, in
order to fully exploit these facilities you will also need a set of the
net-tools that understand AX.25 and NET/ROM. Unlike earlier releases of
these tools, the utilities, man pages, and configuration files are now
located in /usr/{sbin,bin}, /usr/man/man* and /etc/ax25 respectively, with
fixed data files in /usr/lib/ax25 and variable data files in /var/ax25.

%prep
%setup -q -n ax25-utils-2.1.42
%patch0 -p1 -b .deb
%patch1 -p1 -b .jbj

%build

#make config << EOF || :
#Y
#Y
#Y
#EOF

chmod u+x ./configure
./configure --prefix=/usr

make

mv node/README node/README.node
mv node/HISTORY node/HISTORY.node
mv tcpip/rspfd/README tcpip/rspfd/README.rspfd
mv tcpip/rspfd/CHANGES tcpip/rspfd/CHANGES.rspfd
mv user_call/README user_call/README.user_call
mv z8530util/README z8530util/README.z8530util

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,var}/ax25
mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin,man/man1,man/man4,man/man5,man/man8,lib}

make prefix=$RPM_BUILD_ROOT install

cp ax25rtd/etc/ax25rtd.conf	$RPM_BUILD_ROOT/etc/ax25
cp ax25ipd/etc/ax25ipd.conf	$RPM_BUILD_ROOT/etc/ax25
cp node/etc/node.conf		$RPM_BUILD_ROOT/etc/ax25
cp node/etc/node.perms		$RPM_BUILD_ROOT/etc/ax25
cp pms/etc/pms.info		$RPM_BUILD_ROOT/etc/ax25
cp pms/etc/pms.motd		$RPM_BUILD_ROOT/etc/ax25
cp tcpip/rspfd/rspfd.conf	$RPM_BUILD_ROOT/etc/ax25

FILES="
ax25.profile
ax25d.conf
axports
axspawn.conf
mheard.dat
nrbroadcast
nrports
rip98.conf
rsports
rxecho.conf
ttylinkd.conf
"

for F in $FILES
do
	cp etc/$F $RPM_BUILD_ROOT/etc/ax25
done

( cd $RPM_BUILD_ROOT
  mkdir -p ./var/ax25/{mheard,node,pms}
  touch ./var/ax25/{mheard/mheard.dat,node/loggedin,pms/loggedin,pms/users}
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS CHANGES INSTALL MAINTAINERS README TODO etc/oh2njr etc/oh7lzb
%doc ax25ipd/README.ax25ipd tcpip/ttylinkd.INSTALL tcpip/ttylinkd.README
%doc node/*.node tcpip/rspfd/*.rspfd user_call/*.user_call z8530util/*.z8530util

%dir	/etc/ax25
%config	/etc/ax25/*

/usr/bin/*
/usr/sbin/*
/usr/lib/ax25
/var/ax25
/usr/man/man[1458]/*

%changelog
* Wed Sep  2 1998 Jeff Johnson <jbj@redhat.com>
- create from debian sources.
